### Hierarchy

- NoelEvent

## Index

### Constructors

- constructor

### Properties

- listeners
- logger
- name
- noListenersWarning
- noel
- replayBuffer
- replayBufferSize
- replayEnabled

### Methods

- clearReplayBuffer
- countListeners
- disableNoListenersWarning
- disableReplay
- emit
- enableNoListenersWarning
- enableReplay
- getListeners
- getLogger
- getName
- getReplayBuffer
- getReplayBufferAmount
- getReplayBufferSize
- getReplayIsEnabled
- logWarn
- on
- pushEventArgsToReplayBuffer
- removeAllListeners
- removeListener
- setLogger
- setReplayBuffer
- setReplayBufferSize

## Constructors

### constructor

- new NoelEvent(config: NoelEventConfig): NoelEvent

- - Defined in event.ts:21

  #### Parameters

  - ##### config: NoelEventConfig

  #### Returns NoelEvent

## Properties

### Private listeners

listeners: Set<NoelEventListener> | null = null

- Defined in event.ts:18

### Private logger

logger: NoelLogger

- Defined in event.ts:20

### Private name

name: string

- Defined in event.ts:13

### Private noListenersWarning

noListenersWarning: boolean

- Defined in event.ts:21

### Private noel

noel: NoelImp

- Defined in event.ts:12

### Private replayBuffer

replayBuffer: Array<any> | null = null

- Defined in event.ts:17

### Private replayBufferSize

replayBufferSize: number

- Defined in event.ts:15

### Private replayEnabled

replayEnabled: boolean

- Defined in event.ts:14

## Methods

### clearReplayBuffer

- clearReplayBuffer(): void

- - Defined in event.ts:78

  #### Returns void

### countListeners

- countListeners(): number

- - Defined in event.ts:74

  #### Returns number

### disableNoListenersWarning

- disableNoListenersWarning(): void

- - Defined in event.ts:109

  #### Returns void

### disableReplay

- disableReplay(): void

- - Defined in event.ts:46

  #### Returns void

### emit

- emit(...eventArgs: Array<any>): void

- - Defined in event.ts:51

  #### Parameters

  - ##### Rest ...eventArgs: Array<any>

  #### Returns void

### enableNoListenersWarning

- enableNoListenersWarning(): void

- - Defined in event.ts:105

  #### Returns void

### enableReplay

- enableReplay(): void

- - Defined in event.ts:42

  #### Returns void

### Private getListeners

- getListeners(): Set<NoelEventListener>

- - Defined in event.ts:133

  #### Returns Set<NoelEventListener>

### getLogger

- getLogger(): NoelLogger

- - Defined in event.ts:117

  #### Returns NoelLogger

### getName

- getName(): string

- - Defined in event.ts:113

  #### Returns string

### Private getReplayBuffer

- getReplayBuffer(): Array<any>

- - Defined in event.ts:143

  #### Returns Array<any>

### getReplayBufferAmount

- getReplayBufferAmount(replayBufferAmount: number): Array<any>

- - Defined in event.ts:95

  #### Parameters

  - ##### replayBufferAmount: number

  #### Returns Array<any>

### getReplayBufferSize

- getReplayBufferSize(): number

- - Defined in event.ts:121

  #### Returns number

### getReplayIsEnabled

- getReplayIsEnabled(): boolean

- - Defined in event.ts:125

  #### Returns boolean

### Private logWarn

- logWarn(warn: string): void

- - Defined in event.ts:147

  #### Parameters

  - ##### warn: string

  #### Returns void

### on

- on(listener: NoelEventListener): NoelEventListenerManager

- - Defined in event.ts:61

  #### Parameters

  - ##### listener: NoelEventListener

  #### Returns NoelEventListenerManager

### Private pushEventArgsToReplayBuffer

- pushEventArgsToReplayBuffer(eventArgs: Array<any>): void

- - Defined in event.ts:137

  #### Parameters

  - ##### eventArgs: Array<any>

  #### Returns void

### removeAllListeners

- removeAllListeners(): void

- - Defined in event.ts:82

  #### Returns void

### removeListener

- removeListener(listener: NoelEventListener): void

- - Defined in event.ts:68

  #### Parameters

  - ##### listener: NoelEventListener

  #### Returns void

### setLogger

- setLogger(logger: NoelLogger): void

- - Defined in event.ts:101

  #### Parameters

  - ##### logger: NoelLogger

  #### Returns void

### Private setReplayBuffer

- setReplayBuffer(replayBuffer: Array<any>): void

- - Defined in event.ts:129

  #### Parameters

  - ##### replayBuffer: Array<any>

  #### Returns void

### setReplayBufferSize

- setReplayBufferSize(replayBufferSize: number): void

- - Defined in event.ts:86

  #### Parameters

  - ##### replayBufferSize: number

  #### Returns void

Generated using TypeDoc